Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Qizx/open 4.1 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.qizx.api.util
Class PushNodeBuilder

    java.lang.Object
      com.qizx.xdm.AttributeList
          com.qizx.xdm.XMLPushStreamBase
              com.qizx.xdm.CorePushBuilder
                  com.qizx.api.util.PushNodeBuilder

All Implemented Interfaces:
  XMLPushStream, Attributes

    public class PushNodeBuilder

extends com.qizx.xdm.CorePushBuilder

An implementation of XMLPushStream that builds an in-memory Node tree and returns the top Node.

Nodes are built by calling methods of `XMLPushStream` like `putElementStart`, `putAttribute`, `putText`, `putElementEnd` etc. in the proper order, or the method `putNodeCopy`, or both. Finally the `reap()` method returns the top-level node built.

The reset() method should be called before reusing this object for building another tree.

Since:
  2.1

Field Summary

Fields inherited from interface com.qizx.api.XMLPushStream
`NSCOPY_NOPRESERVE_INHERIT, NSCOPY_NOPRESERVE_NOINHERIT, NSCOPY_PRESERVE_INHERIT, NSCOPY_PRESERVE_NOINHERIT`

Constructor Summary
`PushNodeBuilder()`

Method Summary
`Node` | `reap()` Returns the top-level node built with this object.

Methods inherited from class com.qizx.xdm.CorePushBuilder
`flush, flushElementStart, getNSURI, harvest, putAttribute, putComment, putDocumentEnd, putDocumentStart, putElementEnd, putElementStart, putNamespace, putProcessingInstruction, putText, reset`

Methods inherited from class com.qizx.xdm.XMLPushStreamBase
`abort, defineContextMappings, getNSPrefix, isAtRoot, maxVolumeReached, noSpace, putAtom, putAtomText, putChars, putDTD, putLongAtom, putNamespaces, putNodeCopy, putNodeCopy, putNodeText, setCheckNS, setMaxVolume, setTrace`

Methods inherited from class com.qizx.xdm.AttributeList
`addAttribute, getAttributeCount, getIndex, getIndex, getIndex, getLength, getLocalName, getNamespaceContext, getNamespaceCount, getNamespacePrefix, getNamespaceURI, getQName, getType, getType, getType, getURI, getValue, getValue, getValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PushNodeBuilder

    public PushNodeBuilder()

Method Detail

### reap

    public Node reap()

  Returns the top-level node built with this object. If `CorePushBuilder.putDocumentStart()` has been used first, this will be a document node, else an element.

  Returns:
    the top-level Node built with this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2010 Axyana Software
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD